=== debian/changelog ===
nant (0.91~alpha2+dfsg-3) experimental; urgency=low

  * [1048e01] Build against Mono 2.10.
    This causes nant to use the 4.0 profile by default and therefore to be
    used to compile 4.0 packages hopefully without further changes.

 -- Iain Lane <laney@debian.org>  Fri, 29 Jul 2011 21:42:56 +0100

nant (0.91~alpha2+dfsg-2) experimental; urgency=low

  * [d130072] Update patches to build against NUnit 2.5, not bundled 2.2.
  * [06d961e] Mandate NUnit 2.5 in the build-dependencies

 -- Jo Shields <directhex@apebox.org>  Mon, 04 Jul 2011 17:16:33 +0100

nant (0.91~alpha2+dfsg-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

  [ Jo Shields ]
  * [ff1d1e1] Imported Upstream version 0.91~alpha2+dfsg
  * [9b374bc] Bump Debian Standards Version to 3.9.2.
  * [8d53875] Refresh package description slightly.
  * [5087eab] Refresh Vcs-* fields.
  * [31d87a4] Migrate from dpatch to DebSrc 3.0 (quilt).
  * [d076fc0] Refresh debian/rules to use dh7-style rules.
  * [634354c] Reverse order of imported patches, as some depend on others.
  * [e724652] Refresh debian/patches/000-fix_build_system.patch and DESTDIR.
  * [f76581e] Refresh debian/patches/001-nant-task-cs-InitializeElement.patch.
  * [72d654f] Refresh debian/patches/002-nant-load-partial-name.patch.
  * [f513c5b] Refresh debian/patches/003-nant-use-system-dlls.patch.
  * [b4fc082] Refresh debian/patches/004-nant-nunit_2.4.patch.
  * [1424d3d] Remove 005-nant-ExternalProgramBase-race.patch - committed 
    upstream.
  * [ac1e636] Refresh debian/patches/006-nant-dont-build-ndoc-support.patch.
  * [d13dc8e] Backport support for 4.0 with Mono from upstream.
  * [d0cdf99] Downgrade #ziplib API, as bundle version is newer than Mono 
    version.
  * [327fe55] Tweak destdir for DH7 semantics.

 -- Jo Shields <directhex@apebox.org>  Fri, 01 Jul 2011 00:07:23 +0100

nant (0.85.dfsg1-9) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    + Updated my e-mail address

  [ Jo Shields ]
  * debian/control:
    + No-change bump to Standards 3.8.3
    + Build-depend on -cil-dev packages
  * debian/rules,
    debian/control:
    + Use mono-csc from mono-devel 2.4.3 as compiler command (Closes: #562366)

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 15:10:39 +0000

nant (0.85.dfsg1-8) unstable; urgency=low

  * debian/patches/006-nant-dont-build-ndoc-support.dpatch,
    debian/control:
    + Remove support for ndoc task - we don't use it, and it pulls
      in undesirable dependencies. This also breaks a nasty circular
      build-dep on libndoc1.3-cil, which is built by nant

 -- Jo Shields <directhex@apebox.org>  Mon, 15 Jun 2009 20:12:47 +0100

nant (0.85.dfsg1-7) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Thu, 26 Feb 2009 00:23:47 +0100

nant (0.85.dfsg1-6) experimental; urgency=low

  * debian/control:
    + removed 1.0 Build-Dependencies
    + using mono-devel instead of mono-gmcs in runtime Depends
    + debhelper dependency bumped to >= 7
    + added ${misc:Depends} to nant
  * debian/patches/:
    + 000-fix_build_system.dpatch added
  * debian/rules:
    + Rewritten and switched to dh7-style
  * debian/compat bumped to 7
  * debian/watch updated to version 3

 -- David Paleino <d.paleino@gmail.com>  Wed, 03 Dec 2008 17:46:17 +0100

nant (0.85.dfsg1-5) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    + Removed Dave Beckett <dajobe@debian.org> from Uploaders.

  [ Mirco Bauer ]
  * debian/control:
    + Enhanced package description.
    + Added Vcs-Browser field.
    + Bumped cli-common-dev build-dep to >= 0.5.4 as we are using
      dh_clistrip and dh_clifixperms from it.
  * debian/rules:
    + Removed -m paramater to dh_clideps call, as it doesn't know such
      parameter. 
    + Added dh_clistrip and dh_clifixperms calls.
    + Removed find call to fix file permissions, as dh_clifixperms takes now
      care of this.
    + Removed dh_shlibdeps call as this package doesn't contain native
      binaries or libraries.
    + Delete examples/StyleTask/SimpleExtensionObject/SimpleExtension.dll
      before the build to force nant to rebuild it (as the file is shipped in
      the tarball).
  * debian/patches/005-nant-ExternalProgramBase-race.dpatch:
    + New patch to prevent Mono detection failure due to a race on SMP
      machines. Based on upstream fix for bug 1733671 (Closes: #483073)
      (thanks goes to Y Giridhar Appaji Nag <appaji@debian.org> for
       investigation and providing the dpatch)

 -- Mirco Bauer <meebey@debian.org>  Thu, 16 Oct 2008 22:50:40 +0200

nant (0.85.dfsg1-4) unstable; urgency=low

  * Use right NDoc directory. (Closes: #492300)

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 25 Jul 2008 04:29:19 +0200

nant (0.85.dfsg1-3) unstable; urgency=low

  * Fix build dependency on renamed libndoc1.3-cil. (Closes: #490322)

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 22 Jul 2008 23:34:19 +0200

nant (0.85.dfsg1-2) unstable; urgency=low

  * Build against version 2.4 of nunit.
  * Bump standards version to 3.8.0.
  * Cope with dfsg mangling in watch file.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jun 2008 16:59:38 +0200

nant (0.85.dfsg1-1) unstable; urgency=low

  * Remove binaries without source. (Closes: #374634)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 26 May 2008 23:12:50 +0200

nant (0.85-3) unstable; urgency=low

  * Changed maintainer to Debian CLI Applications Team. (Closes: #477064)
  * Add myself as uploader.
  * Use newer nunit (libnunit2.2.6-cil)
  * Add patch to work around obsolete
    System.Reflection.Assembly.LoadWithPartialName(). (Closes: #475213)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 26 May 2008 21:15:12 +0200

nant (0.85-2) unstable; urgency=low

  * Depend on mono-gmcs (Closes: #408395)
  * Added patch 001-nant-task-cs-InitializeElement.dpatch
    to get around Mono compiler turning a former warning into an error.
    Again. (Closes: #422838)


