=== debian/control ===
Source: nant
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: mono-devel (>= 2.10.1),
 pkg-config,
 cli-common-dev (>= 0.5.7),
 libnunit-cil-dev (>= 2.5),
 liblog4net-cil-dev
Standards-Version: 3.9.2
Homepage: http://nant.sourceforge.net/
Vcs-Git:git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/nant.git;a=summary
DM-Upload-Allowed: yes

Package: nant
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends},
 pkg-config,
 mono-devel (>= 2.0.1)
Description: build tool similar to Ant
 NAnt is different than Make.  Instead of a model where it is extended with
 shell-based commands, NAnt is extended using task classes.  Instead of
 writing shell commands, the configuration files are XML-based, calling
 out a target tree where various tasks get executed.  Each task is run
 by an object that implements a particular Task interface.
 .
 NAnt supports different target frameworks:
  - Microsoft .NET Framework version 1.0 through 4.0, plus Silverlight
  - Mono 1.0 through 4.0
