=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/cli-common/cli.make

MAKE_FLAGS = MONO=/usr/bin/cli MCS=/usr/bin/mono-csc

override_dh_auto_build:
	$(MAKE) $(MAKE_FLAGS)

override_dh_auto_install:
	$(MAKE) $(MAKE_FLAGS) prefix=/usr destdir=$(CURDIR)/debian/nant install
	rmdir --ignore-fail-on-non-empty --parents debian/nant

%:
	dh $@
