=== debian/changelog ===
nant (0.92~rc1+dfsg-3) unstable; urgency=low

  * [93b6f15] Add debian/patches/
    use_mono_mcs_common_compiler_infrastructure.patch 
    (Cherry picked from 69c8ee96493c5d953212397c8ca06c2392372ca4)
    (Closes: #713760, #713768)

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Oct 2013 15:06:40 +0200

nant (0.92~rc1+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 16:59:31 +0100

nant (0.92~rc1+dfsg-1) experimental; urgency=low

  * [73a7503] Standards-Version → 3.9.3, no changes
  * [4073149] Remove useless DMUA flag
  * [4af100d] refresh patches
  * [f16bb89] remove-netDumbster.patch
  * [6bdd529] s/destdir/DESTDIR/
  * [3d0a2ee] add lowercase-docdir.patch: use usr/share/doc/nant as docdir
  * [2f79f36] wrap-and-sort debian/
  * [488bab1] bump nunit b-d to >= 2.6
  * [f391286] add get-orig-source
  * [1c6cddf] use --with cli instead of cli.make

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 26 May 2012 21:48:22 +0100

nant (0.91~alpha2+dfsg-4) unstable; urgency=low

  * Upload to unstable 
  * [fec82c9] Fix spacing in debian/control

 -- Iain Lane <laney@debian.org>  Tue, 17 Jan 2012 22:18:23 +0000
