=== debian/control ===
--- 
+++ 
@@ -4,22 +4,19 @@
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: mono-devel (>= 2.10.1),
- pkg-config,
- cli-common-dev (>= 0.5.7),
- libnunit-cil-dev (>= 2.5),
- liblog4net-cil-dev
-Standards-Version: 3.9.2
+Build-Depends-Indep: cli-common-dev (>= 0.5.7),
+                     liblog4net-cil-dev,
+                     libnunit-cil-dev (>= 2.6),
+                     mono-devel (>= 2.10.1),
+                     pkg-config
+Standards-Version: 3.9.3
 Homepage: http://nant.sourceforge.net/
-Vcs-Git:git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
+Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/nant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/nant.git;a=summary
-DM-Upload-Allowed: yes
 
 Package: nant
 Architecture: all
-Depends: ${cli:Depends}, ${misc:Depends},
- pkg-config,
- mono-devel (>= 2.0.1)
+Depends: mono-devel (>= 2.0.1), pkg-config, ${cli:Depends}, ${misc:Depends}
 Description: build tool similar to Ant
  NAnt is different than Make.  Instead of a model where it is extended with
  shell-based commands, NAnt is extended using task classes.  Instead of
